---
document: modulemd
version: 2
data:
  summary: Go
  description: Go Tools and libraries
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      go-toolset:
      - rhel8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - go-toolset
  api:
    rpms:
    - golang
  buildopts:
    rpms:
      whitelist:
      - go-toolset-1.10
      - go-toolset-1.10-golang
      - go-toolset
      - go-toolset-golang
      - golang
  components:
    rpms:
      go-toolset-7:
        rationale: Meta package for go-toolset providing scl enable scripts.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
      golang:
        rationale: Package providing the Go compiler toolchain.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 1
  name: go-toolset
  artifacts:
    rpms:
    - golang-docs-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-misc-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-src-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
    - golang-tests-0:1.12.12-4.module+el8.1.0+5317+8a49ffbb.noarch
  version: '20200206035850'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: DL1
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: RHEL IdM is an integrated solution to provide centrally managed Identity
    (users, hosts, services), Authentication (SSO, 2FA), and Authorization (host access
    control, SELinux user roles, services). The solution provides features for further
    integration with Linux based clients (SUDO, automount) and integration with Active
    Directory based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      pki-core:
      - 10.6
      httpd:
      - 2.4
      389-ds:
      - 1.4
    requires:
      platform:
      - el8
      pki-core:
      - 10.6
      httpd:
      - 2.4
      389-ds:
      - 1.4
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-server
      - ipa-healthcheck
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-server
      - ipa-server-dns
      - ipa-healthcheck
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-server-trust-ad
      - ipa-idoverride-memberof-plugin
      - ipa-healthcheck
  components:
    rpms:
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.1.0
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.1.0
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.1.0
        arches:
        - aarch64
        - x86_64
        - s390x
        - ppc64le
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.1.0
        buildorder: 3
      ipa-idoverride-memberof:
        rationale: Manage IdM with Active Directory users
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 3
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 2
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 1
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.1.0
        buildorder: 1
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.1.0
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.1.0
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: stream-idm-DL1-rhel-8.1.0
  name: idm
  artifacts:
    rpms:
    - ipa-client-0:4.8.0-13.module+el8.1.0+4923+c6efe041.i686
    - ipa-client-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-client-samba-0:4.8.0-13.module+el8.1.0+4923+c6efe041.i686
    - ipa-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-python-compat-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-server-common-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - ipa-server-dns-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - python3-ipaclient-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - python3-ipalib-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
    - python3-ipaserver-0:4.8.0-13.module+el8.1.0+4923+c6efe041.noarch
  version: '20200102131209'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: inkscape
  stream: 0.92.3
  summary: Vector-based drawing program using SVG
  description: 'Inkscape is a vector graphics editor, with capabilities similar to

    Illustrator, CorelDraw, or Xara X, using the W3C standard Scalable Vector

    Graphics (SVG) file format.  It is therefore a very useful tool for web

    designers and as an interchange format for desktop publishing.


    Inkscape supports many advanced SVG features (markers, clones, alpha

    blending, etc.) and great care is taken in designing a streamlined

    interface. It is very easy to edit nodes, perform complex path operations,

    trace bitmaps and much more.'
  license:
    module:
    - GPL-2.0
  dependencies:
  - buildrequires:
      platform:
      - el8
      python27:
      - 2.7
    requires:
      platform:
      - el8
      python27:
      - 2.7
  references:
    documentation: https://inkscape.org/en/learn/
    tracker: https://bugs.launchpad.net/inkscape
  profiles:
    common:
      rpms:
      - inkscape
  api:
    rpms:
    - inkscape
  buildopts:
    rpms:
      macros: '%_with_python2 1

        '
  filter:
    rpms:
    - python3-dns
    - python3-*
    - python3-scour
  components:
    rpms:
      inkscape:
        rationale: Module API.
        ref: stream-0.92.3-rhel-8.1.0
      python-scour:
        rationale: Runtime requirement of inkscape, should not be in API.
        ref: stream-0.35
  artifacts:
    rpms:
    - inkscape-0:0.92.3-12.module+el8.1.0+4737+97b227b1.i686
    - inkscape-docs-0:0.92.3-12.module+el8.1.0+4737+97b227b1.i686
    - inkscape-view-0:0.92.3-12.module+el8.1.0+4737+97b227b1.i686
  version: '20200102130319'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: 10
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - npm
      - nodejs-nodemon
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        buildorder: 10
        ref: stream-10-rhel-8.0.0
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        buildorder: 100
        ref: rhel-8.0
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        buildorder: 200
        ref: rhel-8.0
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.i686
    - nodejs-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.i686
    - nodejs-devel-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.i686
    - nodejs-devel-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.i686
    - nodejs-docs-1:10.19.0-1.module+el8.1.0+5726+6ed65f8c.noarch
    - nodejs-docs-1:10.19.0-2.module+el8.1.0+6118+5aaa808b.noarch
    - npm-1:6.13.4-1.10.19.0.1.module+el8.1.0+5726+6ed65f8c.i686
    - npm-1:6.13.4-1.10.19.0.2.module+el8.1.0+6118+5aaa808b.i686
  version: '20200421233557'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: '3.7'
  summary: A PostgreSQL interface for Perl
  description: 'DBD::Pg is a Perl module that works with the DBI module to provide
    access to PostgreSQL databases.

    '
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl-DBI: []
      perl: []
      platform:
      - el8
      postgresql:
      - 10
    requires:
      perl-DBI: []
      perl: []
      platform:
      - el8
  references:
    community: http://search.cpan.org/dist/DBD-Pg/
  profiles:
    common:
      description: DBD-Pg distribution
      rpms:
      - perl-DBD-Pg
  api:
    rpms:
    - perl-DBD-Pg
  components:
    rpms:
      perl-DBD-Pg:
        rationale: The API.
        ref: stream-3.7-rhel-8.1.0
  name: perl-DBD-Pg
  artifacts:
    rpms:
    - perl-DBD-Pg-0:3.7.4-4.module+el8.1.1+4707+d3bacf56.i686
  version: '20200206021800'
  arch: i686
...
---
document: modulemd
version: 2
data:
  summary: Rust
  description: Rust Toolset
  name: rust-toolset
  stream: rhel8
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
      rust-toolset:
      - rhel8
    requires:
      platform:
      - el8
      llvm-toolset:
      - rhel8
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust-toolset:
        rationale: Meta package for rust-toolset.
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
      rust:
        rationale: Rust compiler and tools
        ref: stream-rhel-8-rhel-8.1.0
        buildorder: 0
  artifacts:
    rpms:
    - cargo-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - cargo-doc-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - clippy-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rls-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-analysis-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-debugger-common-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-doc-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-gdb-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-src-0:1.39.0-2.module+el8.1.1+4653+065a25c6.noarch
    - rust-std-static-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
    - rust-toolset-0:1.39.0-1.module+el8.1.1+4611+6b90659c.i686
    - rustfmt-0:1.39.0-2.module+el8.1.1+4653+065a25c6.i686
  version: '20200206132547'
  arch: i686
...
---
document: modulemd
version: 2
data:
  summary: Virtualization module
  stream: rhel
  description: A virtualization module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  profiles:
    common:
      rpms:
      - libvirt-daemon-kvm
      - libguestfs
      - libvirt-client
      - libvirt-daemon-config-network
  filter:
    rpms:
    - ocaml-hivex
    - ocaml-hivex-debuginfo
    - ocaml-hivex-devel
    - ocaml-libguestfs
    - ocaml-libguestfs-debuginfo
    - ocaml-libguestfs-devel
    - qemu-kvm-tests
    - qemu-kvm-tests-debuginfo
  components:
    rpms:
      qemu-kvm:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 2
      libiscsi:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      seabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - x86_64
        - ppc64le
        buildorder: 1
      sgabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - x86_64
        - ppc64le
        buildorder: 1
      SLOF:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.1.0
        arches:
        - ppc64le
        buildorder: 1
      libvirt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 3
      libvirt-python:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      libvirt-dbus:
        rationale: libvirt-dbus is part of the virtualization module
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      perl-Sys-Virt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      netcf:
        rationale: libvirt dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      hivex:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 1
      supermin:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.1.0
        buildorder: 2
      libguestfs:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 4
      libguestfs-winsupport:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 5
      nbdkit:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.1.0
        buildorder: 5
  name: virt
  artifacts:
    rpms:
    - libvirt-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-admin-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-admin-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-admin-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-bash-completion-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-bash-completion-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-bash-completion-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-client-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-client-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-client-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-config-network-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-config-network-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-config-network-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-config-nwfilter-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-interface-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-interface-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-interface-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-network-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-network-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-network-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-nodedev-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-nwfilter-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-secret-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-secret-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-secret-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-core-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-disk-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-iscsi-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-logical-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-mpath-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-rbd-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-daemon-driver-storage-scsi-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-devel-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-devel-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-devel-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-docs-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-docs-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-docs-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-libs-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-libs-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-libs-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
    - libvirt-nss-0:4.5.0-35.1.module+el8.1.0+4931+38af3e93.i686
    - libvirt-nss-0:4.5.0-35.2.module+el8.1.0+5256+4b9ab730.i686
    - libvirt-nss-0:4.5.0-35.3.module+el8.1.0+5931+8897e7e1.i686
  version: '20200422120046'
  arch: i686
...
---
document: modulemd
version: 2
data:
  stream: 12
  summary: Javascript runtime
  description: Node.js is a platform built on Chrome's JavaScript runtime for easily
    building fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - npm
      - nodejs-nodemon
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: '%_with_bootstrap 1

        '
  components:
    rpms:
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        buildorder: 10
        ref: stream-12-rhel-8.1.0
      nodejs:
        rationale: Javascript runtime and npm package manager.
        buildorder: 100
        ref: stream-12-rhel-8.1.0
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        buildorder: 200
        ref: stream-12-rhel-8.1.0
  name: nodejs
  artifacts:
    rpms:
    - nodejs-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.i686
    - nodejs-1:12.14.1-1.module+el8.1.0+5466+30f75629.i686
    - nodejs-1:12.16.1-1.module+el8.1.0+5811+44509afe.i686
    - nodejs-1:12.16.1-2.module+el8.1.0+6117+b25a342c.i686
    - nodejs-devel-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.i686
    - nodejs-devel-1:12.14.1-1.module+el8.1.0+5466+30f75629.i686
    - nodejs-devel-1:12.16.1-1.module+el8.1.0+5811+44509afe.i686
    - nodejs-devel-1:12.16.1-2.module+el8.1.0+6117+b25a342c.i686
    - nodejs-docs-1:12.13.1-1.module+el8.1.0+5069+f8aaab94.noarch
    - nodejs-docs-1:12.14.1-1.module+el8.1.0+5466+30f75629.noarch
    - nodejs-docs-1:12.16.1-1.module+el8.1.0+5811+44509afe.noarch
    - nodejs-docs-1:12.16.1-2.module+el8.1.0+6117+b25a342c.noarch
    - npm-1:6.12.1-1.12.13.1.1.module+el8.1.0+5069+f8aaab94.i686
    - npm-1:6.13.4-1.12.14.1.1.module+el8.1.0+5466+30f75629.i686
    - npm-1:6.13.4-1.12.16.1.1.module+el8.1.0+5811+44509afe.i686
    - npm-1:6.13.4-1.12.16.1.2.module+el8.1.0+6117+b25a342c.i686
  version: '20200406174327'
  arch: i686
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: 12
  summary: PostgreSQL server and client module
  description: PostgreSQL is an advanced Object-Relational database management system
    (DBMS). The postgresql-server package contains the programs needed to create and
    run a PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform:
      - el8
    requires:
      platform:
      - el8
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  api:
    rpms:
    - postgresql
    - postgresql-server
  profiles:
    server:
      rpms:
      - postgresql-server
    client:
      rpms:
      - postgresql
  components:
    rpms:
      postgresql:
        rationale: Module API.
        ref: stream-12-rhel-8.1.1
        buildorder: 0
      pgaudit:
        rationale: pgaudit extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
  artifacts:
    rpms:
    - pgaudit-0:1.4.0-4.module+el8.1.1+4794+c82b6e09.i686
    - postgres-decoderbufs-0:0.10.0-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-contrib-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-docs-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-plperl-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-plpython3-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-pltcl-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-server-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-server-devel-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-static-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-test-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-test-rpm-macros-0:12.1-2.module+el8.1.1+4794+c82b6e09.noarch
    - postgresql-upgrade-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
    - postgresql-upgrade-devel-0:12.1-2.module+el8.1.1+4794+c82b6e09.i686
  version: '20200430021233'
  arch: i686
...
